title 'PSIDEX2: Longitudinal trends in the PSID';

*-- Make a working copy of the PSID data;
data psid;
   set psid.psid;
   run;

/*-- time lines for individual wages -
     you can try this, but the result is a mess ...
proc gplot data=psid;
   plot lwage * t = i /
      vaxis=axis1;
   axis1 label=(a=90 r=0);
   symbol1 v=none c=black i=join r=600;
run;
*/

*-- Get means for dichotomous variables;
proc summary data=psid nway;
   class fem south blk t;
   var lwage;
   output out=means mean=lwage stderr=stderr;
   run;

*- Combine labels for groups: Needed to plot
   lWage * t = group in one plot;

data means;
   set means;
   drop _type_;
   length group $20;
   if fem=1   then group='Fem'; else group='Mal';
   if south=1 then group=trim(group) || 'Sou'; else group=trim(group) || 'Nor';
   if blk  =1 then group=trim(group) || 'Blk'; else group=trim(group) || 'Whi';
proc print;
    id group;
   var lwage stderr;
   run;

*-- Plot means over time for each group;
goptions reset=symbol;
proc gplot data=means;
   plot lwage * t = group /
      vaxis=axis1 haxis=axis2 hminor=0 vminor=1;

   axis1 label=(a=90 r=0);
   axis2 offset=(3);

   symbol1 v=square c=black i=join;
   symbol2 v=dot    c=black i=join;
   symbol3 v=square c=blue  i=join;
   symbol4 v=dot    c=blue  i=join;
   symbol5 v=square c=red   i=join;
   symbol6 v=dot    c=red   i=join;
   symbol7 v=square c=green i=join;
   symbol8 v=dot    c=green i=join;
run;
